Opened 5 years ago

Last modified 11 months ago

#19220 new task

Archive superseded/broken old-style packages

Reported by: jhpalmieri Owned by:
Priority: critical Milestone: sage-7.3
Component: website/wiki Keywords:
Cc: schilly, leif Merged in:
Authors: John Palmieri Reviewers:
Report Upstream: N/A Work issues:
Branch: Commit:
Dependencies: #19187 Stopgaps:

Description (last modified by jdemeyer)

The following packages should be removed or moved to "archive":

Later (depending on non-merged tickets):

Change History (35)

comment:1 Changed 5 years ago by jdemeyer

  • Cc schilly added
  • Component changed from packages: optional to website/wiki

comment:2 Changed 5 years ago by jdemeyer

Do anybody know whether creating Trac tickets is the proper procedure to deal with old spkgs?

comment:3 Changed 5 years ago by jdemeyer

  • Description modified (diff)
  • Summary changed from Archive the old TOPCOM package to Archive superseded packages

comment:4 Changed 5 years ago by jdemeyer

  • Description modified (diff)

comment:5 Changed 5 years ago by jdemeyer

  • Description modified (diff)

comment:6 Changed 5 years ago by jdemeyer

  • Description modified (diff)

comment:7 Changed 5 years ago by jdemeyer

  • Description modified (diff)

comment:8 Changed 5 years ago by tscrim

  • Description modified (diff)
  • Type changed from defect to task

I think this will serve as a good metaticket.

comment:9 Changed 5 years ago by jdemeyer

  • Description modified (diff)
  • Summary changed from Archive superseded packages to Archive superseded/broken packages

comment:10 Changed 5 years ago by jdemeyer

Please don't add tickets which don't have positive review yet unless the old package was broken anyway.

Last edited 5 years ago by jdemeyer (previous) (diff)

comment:11 Changed 5 years ago by jdemeyer

  • Description modified (diff)

comment:12 follow-up: Changed 5 years ago by kcrisman

Presumably this should happen after a stable release of the new pip stuff, though?

comment:13 Changed 5 years ago by jdemeyer

  • Dependencies set to #19187

comment:14 in reply to: ↑ 12 Changed 5 years ago by jdemeyer

Replying to kcrisman:

Presumably this should happen after a stable release of the new pip stuff, though?

You're right. Although I don't know if it will happen at all, see 2

comment:15 follow-up: Changed 5 years ago by schilly

Hi, I could move those spkgs any time, but I have no idea about the implications.

comment:16 Changed 5 years ago by jhpalmieri

Since the old TOPCOM has been superseded by a new-style topcom, I believe it's safe to archive that one.

comment:17 in reply to: ↑ 15 Changed 5 years ago by jdemeyer

Replying to schilly:

Hi, I could move those spkgs any time, but I have no idea about the implications.

Perhaps it should be done after the release of Sage 6.9 stable? That would be a good time.

comment:18 Changed 5 years ago by jdemeyer

Sage 6.9 has been released.

comment:19 Changed 5 years ago by jhpalmieri

Is there any reason not to move these spkgs now?

comment:20 Changed 5 years ago by jdemeyer

  • Description modified (diff)
  • Summary changed from Archive superseded/broken packages to Archive superseded/broken old-style packages

comment:21 Changed 5 years ago by jdemeyer

  • Description modified (diff)

comment:22 Changed 5 years ago by jdemeyer

  • Description modified (diff)

comment:23 Changed 5 years ago by jdemeyer

  • Description modified (diff)
  • Milestone changed from sage-6.9 to sage-7.3

comment:24 Changed 5 years ago by jdemeyer

  • Description modified (diff)

comment:25 Changed 5 years ago by vdelecroix

  • Description modified (diff)

comment:26 Changed 5 years ago by vdelecroix

  • Description modified (diff)

comment:27 Changed 5 years ago by jdemeyer

  • Description modified (diff)

comment:28 Changed 5 years ago by vdelecroix

Soya does not support Python 2 anymore (see http://www.lesfleursdunormal.fr/static/informatique/soya3d/index_en.html). Moreover, it now exists on PyPI: https://pypi.python.org/pypi/Soya3/

What is the subtle difference between the packages soya and soya_cvs?

comment:29 Changed 4 years ago by leif

  • Cc leif added

comment:30 Changed 4 years ago by vdelecroix

  • Description modified (diff)

comment:31 Changed 4 years ago by vdelecroix

  • Description modified (diff)

comment:32 Changed 4 years ago by jdemeyer

  • Description modified (diff)

comment:33 Changed 4 years ago by jdemeyer

  • Description modified (diff)

comment:34 Changed 4 years ago by jdemeyer

  • Description modified (diff)

comment:35 Changed 11 months ago by mkoeppe

See also #29289 - Remove support for old-style SPKGs, deprecated in Sage 6.9

Note: See TracTickets for help on using tickets.